# Payboard

Installing this gem and adding a line to your application_controller.rb will start flowing customer events to Payboard.

## Installation

Add this line to your application's Gemfile:

    gem 'payboard'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install payboard

## Usage

The fastest way to get going is to create an account at <a href="http://www.Payboard.com">www.Payboard.com</a>, add the gem (see above) and add the following code to your application_controller.rb file inside the ApplicationController class. You can get your Public API Key from the accounts tab at Payboard.

after_filter :log_event

def log_event
  Payboard.log_event("Public API Key", self.controller_name + "-" + self.action_name + "-" + request.method, current_user.id) if current_user
end

This method automatically generates event names using the controller name, the action name, and the request method (get or post). You can also log events manually by adding the code above to a particular action. 

Each of those parameters above are required. Here are all of the parameters that are available. 

ApiKey, EventName, UserId, First (optional), Last (optional), Email (optional), CustomerId (optional), CustomerName (optional)


