# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'payboard/version'

Gem::Specification.new do |spec|
  spec.name          = "payboard"
  spec.version       = Payboard::VERSION
  spec.authors       = ["Matt Dyor"]
  spec.email         = ["matt@dyor.com"]
  spec.description   = %q{Payboard gem for logging events}
  spec.summary       = %q{logs user specific events to Payboard after each request}
  spec.homepage      = ""
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake"
end
